import { I18N } from 'aurelia-i18n';
import { EventAggregator } from 'aurelia-event-aggregator';
import { NavigationInstructionInit, Router, NavigationInstruction } from 'aurelia-router';
import { TaskQueue } from "aurelia-framework";
export declare class UITabRouterView {
    private taskQueue;
    router: Router;
    ea: EventAggregator;
    private i18n;
    name: string;
    tooltip: boolean;
    private routesTabs;
    private routesTabsStorage;
    private currentResource;
    private show;
    private get routesTabDisplay();
    get classes(): "" | "ui-tab-router-view-empty";
    constructor(taskQueue: TaskQueue, router: Router, ea: EventAggregator, i18n: I18N);
    attached(): void;
    private run;
    private manageChildRoute;
    setCurrentRouteTabsGroup(resource: string): void;
    getRouteTab(navigationInstruction: NavigationInstruction, resource: string): UIRouteTab;
    private extractResource;
    private extractRoute;
    private extractRouteUniqueTitle;
    private navigate;
    private removeTab;
    private storeRoutesTabs;
    private restoreRoutesTabs;
    private clearUnknowRoutes;
}
declare class UIRouteTab {
    name: string;
    fragment: string;
    relativeHref: string;
    options: any;
    active: boolean;
    resource: string;
    first: boolean;
    childRoute: string;
    constructor(name: string, navigationInstruction: NavigationInstructionInit, resource: string);
}
export {};
